package name.Huchickut.SmallWorm;

import java.awt.*;

public class Auswahl {

	private int wahl;

	public Auswahl() {
		wahl = 0;
	}

	private void bestaetigen(int wahl2, int level) {
		switch (wahl2) {
		case 0:
			switch (level) {
			case 1:
				Worm.get().changelenkung(1);
				break;
			case 2:
				Worm.get().changespeed(0.8);
				break;
			case 3:
				Worm.get().changekoerper(17);
				break;
			case 4:
				Worm.get().changekopfGr(10);
				break;
			case 5:
				Worm.get().changebremsen(2.5);
				break;
			case 6:
				Punkte.get().changepropab2(15);
				break;
			case 7:
				Worm.get().changespeed(0.8);
				break;
			case 8:
				Worm.get().changebeschleunigung(0.5);
				break;
			case 9:
				Punkte.get().changepropab5(4);
				break;
			case 10:
				Worm.get().changekopfGr(20);
				break;
			}
			break;
		case 1:
			switch (level) {
			case 1:
				Worm.get().changekopfGr(10);
				break;
			case 2:
				Punkte.get().changeSpeed(0.5);
				break;
			case 3:
				Punkte.get().changepropab2(15);
				break;
			case 4:
				Worm.get().changelenkung(1);
				break;
			case 5:
				Worm.get().changebeschleunigung(0.5);
				break;
			case 6:
				Punkte.get().changepropab5(2);
				break;
			case 7:
				Worm.get().changekopfGr(10);
				break;
			case 8:
				Punkte.get().changeSpeed(1.5);
				break;
			case 9:
				Worm.get().changelenkung(1);
				break;
			case 10:
				Worm.get().changespeed(1.5);
				break;
			}
			break;
		default:
			break;
		}
		Worm.get().changelaenge(1);

	}

	public void zeichne(Graphics2D g) {
		g.setColor(new Color(0, 0, 0));
		g.fillRect(80 + wahl * 370, 40, 270, 420);
		g.setColor(new Color(255, 255, 255));
		g.fillRect(90, 50, 250, 400);
		g.fillRect(460, 50, 250, 400);
		g.setColor(Color.black);

		switch (Worm.get().gibLevel()) {
		case 1:
			g.drawString("Better steering", 110, 320);
			g.drawString("Grow", 546, 320);
			g.drawImage(Images.steering, 110, 70, null);
			g.drawImage(Images.grow, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You can move in tighter", 100, 360);
			g.drawString("curves", 170, 390);
			g.drawString("You get bigger", 520, 360);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 2:
			g.drawString("Higher speed", 120, 320);
			g.drawString("More food", 516, 320);
			g.drawImage(Images.speed, 110, 70, null);
			g.drawImage(Images.food, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You move faster", 135, 360);
			g.drawString("More food appears", 500, 360);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 3:
			g.drawString("Aura", 176, 320);
			g.drawString("Red food", 522, 320);
			g.drawImage(Images.aura, 110, 70, null);
			g.drawImage(Images.red, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You will collect", 135, 360);
			g.drawString("food around you", 130, 390);
			g.drawString("Red food (worth 2)", 500, 360);
			g.drawString("appears sometimes", 495, 390);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 4:
			g.drawString("Grow", 176, 320);
			g.drawString("Better steering", 480, 320);
			g.drawImage(Images.grow, 110, 70, null);
			g.drawImage(Images.steering, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You get bigger", 150, 360);
			g.drawString("You can move in tighter", 473, 360);
			g.drawString("curves", 550, 390);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 5:
			g.drawString("Slow down", 138, 320);
			g.drawString("Speed up", 518, 320);
			g.drawImage(Images.down, 110, 70, null);
			g.drawImage(Images.up, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You can move slower", 115, 360);
			g.drawString("temporarly with S/Down", 103, 390);
			g.drawString("You can move faster", 487, 360);
			g.drawString("temporarly with W/UP", 482, 390);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 6:
			g.drawString("Red food", 148, 320);
			g.drawString("Blue food", 520, 320);
			g.drawImage(Images.red, 110, 70, null);
			g.drawImage(Images.blue, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("Red food (worth 2)", 120, 360);
			g.drawString("appears sometimes", 115, 390);
			g.drawString("Blue food (worth 5)", 500, 360);
			g.drawString("appears rarely", 520, 390);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 7:
			g.drawString("Higher speed", 120, 320);
			g.drawString("Grow", 546, 320);
			g.drawImage(Images.speed, 110, 70, null);
			g.drawImage(Images.grow, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You move faster", 135, 360);
			g.drawString("You get bigger", 520, 360);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 8:
			g.drawString("Speed up", 147, 320);
			g.drawString("More food", 516, 320);
			g.drawImage(Images.speed, 110, 70, null);
			g.drawImage(Images.food, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("You can move faster", 115, 360);
			g.drawString("temporarly with W/Up", 111, 390);
			g.drawString("More food appears", 500, 360);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 9:
			g.drawString("Blue food", 147, 320);
			g.drawString("Better steering", 480, 320);
			g.drawImage(Images.blue, 110, 70, null);
			g.drawImage(Images.steering, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));
			g.drawString("Blue food (worth 5)", 126, 360);
			g.drawString("appears rarely", 142, 390);
			g.drawString("You can move in tighter", 473, 360);
			g.drawString("curves", 550, 390);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		case 10:
			g.drawString("Grow", 176, 320);
			g.drawString("Higher speed", 492, 320);
			g.drawImage(Images.grow, 110, 70, null);
			g.drawImage(Images.speed, 480, 70, null);
			g.setFont(new Font("Arial", Font.BOLD, 20));		
			g.drawString("You get bigger", 150, 360);
			g.drawString("You move faster", 512, 360);
			g.setFont(new Font("Arial", Font.BOLD, 30));
			break;
		}
	}

	public void tick() {
		if (ZF.keys[6]) {
			wahl = 1;
		}
		if (ZF.keys[8]) {
			wahl = 0;
		}
		if (ZF.keys[1]) {
			bestaetigen(wahl, Worm.get().gibLevel());
			wahl = 0;
			Spiel.get().evolutionEnde();
		}

	}

}
