package name.Huchickut.SmallWorm;

import java.awt.*;

public class Evolution {
	
	private double fortschritt;
	private double bedarf, aktuell;
	
	public Evolution() {
		fortschritt = 0;
		bedarf = 20;
		aktuell = 0;
	}

	public void zeichne(Graphics2D g) {
		g.setColor(new Color(66,113,255));
		g.fillRect(30, 540, 740, 20);
		g.setColor(new Color(0,61,245));
		g.fillRect(30, 540, (int)(fortschritt/100*740), 20);
		g.setColor(Color.black);
		g.drawString("Evolution stage "+Worm.get().gibLevel(), 30, 531);
		g.drawString("Time: "+Worm.get().gibTime()/50, 650, 531);
	}

	public void tick() {
		aktuell = Worm.get().gibPunkte();
		fortschritt = aktuell/bedarf * 100;
		if(aktuell >= bedarf) {
			aktuell = 0;
			fortschritt = 0;
			bedarf = Worm.get().nextLevel();
		}
	}
	
}
