package name.Huchickut.SmallWorm;

import java.awt.*;
import java.util.ArrayList;
import java.util.Random;

public class Punkte {
	
	private static Punkte obj;
	private ArrayList<Punkt> punkte;
	private int despawn;
	private double spawnSpeed;
	private int spawntimer;
	private double propab2, propab5; 	 
	
	public Punkte() {
		obj = this;
		punkte = new ArrayList<Punkt>(0);
		despawn = 500;
		spawnSpeed = 0.5;
		spawntimer = 0;
		propab2 = 0;
		propab5 = 0;
	}
	
	public void despawn(Punkt punkt) {
		punkte.remove(punkt);
	}

	public static Punkte get() {
		return obj;
	}
	
	public void changeSpeed(double wert) {
		spawnSpeed += wert;
	}
	
	public void changepropab2(int wert) {
		propab2 += wert;
	}
	
	public void changepropab5(int wert) {
		propab5 += wert;
	}
	
	public int getDespawn() {
		return despawn;
	}
	
	public void zeichne(Graphics2D g) {
		for(int i = 0; i<punkte.size(); i++) {
			punkte.get(i).zeichne(g);
		}
	}

	public void tick() {
		for(int i = 0; i<punkte.size(); i++) {
			punkte.get(i).tick();
		}
		spawntimer--;
		Random r = new Random();
		if (spawntimer <= 0) {
			punkte.add(new Punkt(propab2, propab5));
			spawntimer = r.nextInt((int)(50/spawnSpeed));
		}
	}

}
