package name.Huchickut.SmallWorm;

import java.awt.*;

public class Spiel {

	private static Spiel obj;
	Start start;
	Evolution evolution;
	Worm worm;
	Punkte punkte;
	Auswahl auswahl;
	Win win;
	private boolean spielstart;
	private boolean evophase;
	private boolean spielende;
	

	public Spiel() {
		obj = this;
		evolution = new Evolution();
		start = new Start();
		worm = new Worm();
		punkte = new Punkte();
		auswahl = new Auswahl();
		win = new Win();
		spielstart = true;
		evophase = false;
		spielende = false;
	}

	public static Spiel get() {
		return obj;
	}

	public void evolution() {
		evophase = true;
	}
	
	public void evolutionEnde() {
		evophase = false;
	}
	
	public void spielstart() {
		spielstart = false;
	}
	
	public void spielende() {
		spielende = true;
	}
	
	public void reset() {
		evolution = new Evolution();
		start = new Start();
		worm = new Worm();
		punkte = new Punkte();
		auswahl = new Auswahl();
		win = new Win();
		spielende = false;
		spielstart = true;
	}

	public void zeichne(Graphics2D g) {
		g.setFont(new Font("Arial", Font.BOLD, 30));
		g.setColor(new Color(133, 99, 0));
		g.drawImage(Images.erde, 0, 0, 800, 600, null);					
		punkte.zeichne(g);
		worm.zeichne(g);
		g.setColor(Color.DARK_GRAY);
		g.fillRect(0, 500, 800, 100);	
		evolution.zeichne(g);
		if (spielstart) {
			start.zeichne(g);
		}
		if (evophase) {
			auswahl.zeichne(g);
		}
		if (spielende) {
			win.zeichne(g);
		}

	}

	public void tick() {
		if (evophase == false && spielende == false && spielstart == false) {
			punkte.tick();
			worm.tick();
			evolution.tick();
		}
		if (spielstart) {
			start.tick();
		}
		if(evophase) {
			auswahl.tick();
		}
		if (spielende) {
			win.tick();
		}
	}

}
