package name.Huchickut.SmallWorm;

import java.awt.*;
import java.util.Random;

public class Punkt {

	private Random random;
	private double posX;
	private double posY;
	private int despawn;
	private int wert;

	public Punkt(double propab2, double propab5) {
		random = new Random();
		posX = random.nextInt(760) + 8;
		posY = random.nextInt(460) + 8;
		despawn = Punkte.get().getDespawn() * ((random.nextInt(18)) + 9) / 18;
		if (Math.random() * 100 < propab5) {
			wert = 5;
		} else if (Math.random() * 100 < propab2) {
			wert = 2;
		} else {
			wert = 1;
		}

	}

	public void zeichne(Graphics2D g) {
		switch (wert) {
		case 1:
			g.setColor(Color.GREEN);
			break;
		case 2:
			g.setColor(Color.RED);
			break;
		case 5:
			g.setColor(Color.BLUE);
			break;
		default:
			g.setColor(Color.GREEN);
			break;
		}
		g.fillOval((int) posX - 8, (int) posY - 8, 16+(wert-1)*3, 16+(wert-1)*3);
	}

	public void tick() {
		despawn--;
		if (despawn == 0) {
			Punkte.get().despawn(this);
		}
		if (Worm.get().kollision(posX, posY, wert)) {
			Punkte.get().despawn(this);
		}
	}

}
