package name.Huchickut.SmallWorm;

import java.awt.*;
import java.awt.event.*;

import javax.swing.JPanel;

public class ZF extends JPanel {
	private static final long serialVersionUID = 1L;
	public static boolean[] keys;
	Spiel spiel;

	public ZF() {
		spiel = new Spiel();
		setFocusable(true);
		setLayout(null);
		setBounds(0, 0, 800, 600);
		keys = new boolean[10];
		for (int i = 0; i < 10; i++) {
			keys[i] = false;
		}
		addKeyListener(new KeyAdapter() {
			public void keyPressed(KeyEvent e) {
				int code = e.getKeyCode();
				keys[getKey(code)] = true;
			}

			public void keyReleased(KeyEvent e) {
				int code = e.getKeyCode();
				keys[getKey(code)] = false;
			}
		});

	}

	public int getKey(int code) {
		switch (code) {
		case KeyEvent.VK_SPACE:
			return 1;
		case KeyEvent.VK_UP:
			return 5;
		case KeyEvent.VK_W:
			return 5;
		case KeyEvent.VK_RIGHT:
			return 6;
		case KeyEvent.VK_D:
			return 6;
		case KeyEvent.VK_DOWN:
			return 7;
		case KeyEvent.VK_S:
			return 7;
		case KeyEvent.VK_LEFT:
			return 8;
		case KeyEvent.VK_A:
			return 8;
		default:
			return 0;
		}
	}

	public void paintComponent(Graphics g1) {
		super.paintComponents(g1);
		Graphics2D g = (Graphics2D) g1;	
		g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		spiel.zeichne(g);
		
	}

	public void tick() {
		spiel.tick();
		repaint();
	}

}
